<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.listsealass request
 * 
 * @author auto create
 * @since 1.0, 2025.10.22
 */
class AlibabaAlihealthSynergyYzwListsealassRequest
{
	/** 
	 * 委托企业
	 **/
	private $assRefEntId;
	
	/** 
	 * 本企业
	 **/
	private $refEntId;
	
	private $apiParas = array();
	
	public function setAssRefEntId($assRefEntId)
	{
		$this->assRefEntId = $assRefEntId;
		$this->apiParas["ass_ref_ent_id"] = $assRefEntId;
	}

	public function getAssRefEntId()
	{
		return $this->assRefEntId;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.listsealass";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
